function FindProxyForURL(url, host) {
    host = host.toLowerCase();
    url = url.toLowerCase();
    if (dnsDomainIs(host, 'test.com')) {
        return 'PROXY 123.123.123.123:8080';
    } else if (dnsDomainIs(host, 'yunbusiness.ccb.com')) {
        return 'PROXY 106.52.252.45:25010';
    } else if (dnsDomainIs(host, 'piaocmb.o2o.cmbchina.com')) {
        return 'PROXY 106.52.252.45:25010';
    } else if (dnsDomainIs(host, 'icbc.opapp.cn')) {
        return 'PROXY 106.52.252.45:25010';
    } else if (dnsDomainIs(host, 'piaorush.o2o.cmbchina.com')) {
        return 'PROXY 106.52.252.45:25010';
    } else if (dnsDomainIs(host, 'piao-json-cdn.o2o.cmbchina.com')) {
        return 'PROXY 106.52.252.45:25010';
    } else if (dnsDomainIs(host, 'fpwx.o2o.cmbchina.com')) {
        return 'PROXY 106.52.252.45:25010';
    } else if (dnsDomainIs(host, 'ccpay.cib.com.cn')) {
        return 'PROXY 106.52.252.45:25010';
    } else if (dnsDomainIs(host, 'psbc.huajifen.com')) {
        return 'PROXY 106.52.252.45:25010';
    } else if (dnsDomainIs(host, 'gdecard.jiahuaming.com')) {
        return 'PROXY 106.52.252.45:25010';
    } else if (dnsDomainIs(host, 'mall.abchina.com')) {
        return 'PROXY 106.52.252.45:25010';
    } else if (dnsDomainIs(host, 'm.ujia007.com')) {
        return 'PROXY 106.52.252.45:25010';
    } else if (dnsDomainIs(host, 'creditcardapp.bankcomm.com')) {
        return 'PROXY 106.52.252.45:25010';
    } else if (dnsDomainIs(host, 'mall.creditcard.gzcb.com.cn')) {
        return 'PROXY 106.52.252.45:25010';
    } else if (dnsDomainIs(host, 'vtravel.link2shops.com')) {
        return 'PROXY 106.52.252.45:25010';
    } else if (dnsDomainIs(host, 'uop.amexpressnetwork.com')) {
        return 'PROXY 106.52.252.45:25010';
    } else if (dnsDomainIs(host, 'mapi-seckill.bestpay.com.cn')) {
        return 'PROXY 106.52.252.45:25010';
    } else if (dnsDomainIs(host, 'piaorush.o2o.cmbchina.com')) {
        return 'PROXY 106.52.252.45:25010';
    } else if (dnsDomainIs(host, 'piao-json-cdn.o2o.cmbchina.com')) {
        return 'PROXY 106.52.252.45:25010';
    } else if (dnsDomainIs(host, 'fpwx.o2o.cmbchina.com')) {
        return 'PROXY 106.52.252.45:25010';
    } else if (dnsDomainIs(host, 'm.client.10010.com')) {
        return 'PROXY 106.52.252.45:25010';
    } else if (dnsDomainIs(host, 'aaph.nbcb.com.cn')) {
        return 'PROXY 106.52.252.45:25010';
    } else if (dnsDomainIs(host, 'api.shoppingm.cn')) {
        return 'PROXY 106.52.252.45:25010';
    } else if (dnsDomainIs(host, 'wzapi.oywanhao.com')) {
        return 'PROXY 106.52.252.45:25010';
    } else if (dnsDomainIs(host, 'hemi.lianhaikeji.com')) {
        return 'PROXY 106.52.252.45:25010';
    } else if (dnsDomainIs(host, 'static.lianhaikeji.com')) {
        return 'PROXY 106.52.252.45:25010';
    } else if (dnsDomainIs(host, 'hz.qyfw168.cn')) {
        return 'PROXY 106.52.252.45:25010';
    } else if (dnsDomainIs(host, 'appsmall.rtmap.com')) {
        return 'PROXY 106.52.252.45:25010';
    } else if (dnsDomainIs(host, 'www.mcearnmore.com')) {
        return 'PROXY 106.52.252.45:25010';
    } else if (dnsDomainIs(host, 'm.mallcoo.cn')) {
        return 'PROXY 106.52.252.45:25010';
    } else if (dnsDomainIs(host, 'mall.nbcb.com.cn')) {
        return 'PROXY 106.52.252.45:25010';
    } else if (dnsDomainIs(host, 'delivery.aeonbuy.com')) {
        return 'PROXY 106.52.252.45:25010';
    } else if (dnsDomainIs(host, 'g.qll-times.com')) {
        return 'PROXY 106.52.252.45:25010';
    } else if (dnsDomainIs(host, 'api.jifenfu.net')) {
        return 'PROXY 106.52.252.45:25010';
    } else if (dnsDomainIs(host, 'h5.schengle.com')) {
        return 'PROXY 106.52.252.45:25010';
    } else if (dnsDomainIs(host, 'bnb.rongdatamall.com')) {
        return 'PROXY 106.52.252.45:25010';
    } else if (dnsDomainIs(host, 'chuxinget.fpsd.unionpay.com')) {
        return 'PROXY 106.52.252.45:25010';
    } else if (dnsDomainIs(host, 'marketing.bulk-delivery.com')) {
        return 'PROXY 106.52.252.45:25010';
    } else if (dnsDomainIs(host, 'wypwfw.xsy365.com.cn')) {
        return 'PROXY 106.52.252.45:25010';
    } else if (dnsDomainIs(host, 'fw.qyfw168.cn')) {
        return 'PROXY 106.52.252.45:25010';
    } else if (dnsDomainIs(host, '94828.activity-35.m.duiba.com.cn')) {
        return 'PROXY 106.52.252.45:25010';
    } else if (dnsDomainIs(host, 'aaph.nbcb.com.cn')) {
        return 'PROXY 106.52.252.45:25010';
    } else if (dnsDomainIs(host, 'market-web.ofpay.com')) {
        return 'PROXY 106.52.252.45:25010';
    } else if (dnsDomainIs(host, 'service.jifenfu.net')) {
        return 'PROXY 106.52.252.45:25010';
    } else if (dnsDomainIs(host, 'vip.octharbour.com')) {
        return 'PROXY 106.52.252.45:25010';
    } else if (dnsDomainIs(host, 'crm.scpgroup.com.cn')) {
        return 'PROXY 106.52.252.45:25010';
    } else if (dnsDomainIs(host, 'mtp.creditcard.ecitic.com')) { return 'PROXY 106.52.252.45:25010'; } else if (dnsDomainIs(host, 'rushbuy.creditcard.ecitic.com')) { return 'PROXY 106.52.252.45:25010'; } else if (dnsDomainIs(host, 'wx.abchina.com')) { return 'PROXY 106.52.252.45:25010'; } else if (dnsDomainIs(host, 'mrp.creditcard.hxb.com.cn')) { return 'PROXY 106.52.252.45:25010'; } else if (dnsDomainIs(host, 'api.m.jd.com')) { return 'PROXY 106.52.252.45:25010'; } else if (dnsDomainIs(host, 'prodev.m.jd.com')) { return 'PROXY 106.52.252.45:25010'; } else if (dnsDomainIs(host, 'promotion.waimai.meituan.com')) { return 'PROXY 106.52.252.45:25010'; } else if (dnsDomainIs(host, 'activitymanual.epaynfc.com')) { return 'PROXY 106.52.252.45:25010'; } else if (dnsDomainIs(host, 'ebusiness.bzh001.com')) { return 'PROXY 106.52.252.45:25010'; } else if (dnsDomainIs(host, 'yx.all-pay.cn')) { return 'PROXY 106.52.252.45:25010'; } else if (dnsDomainIs(host, 'w.all-pay.cn')) { return 'PROXY 106.52.252.45:25010'; } else if (dnsDomainIs(host, 'icbc.rellux.com.cn')) { return 'PROXY 106.52.252.45:25010'; } else if (dnsDomainIs(host, 'ilike-cloud-mapi.zmaxfilm.com')) { return 'PROXY 106.52.252.45:25010'; } else if (dnsDomainIs(host, 'coin.abchina.com')) { return 'PROXY 106.52.252.45:25010'; } else if (dnsDomainIs(host, 'ldp.creditcard.ecitic.com')) { return 'PROXY 106.52.252.45:25010'; } else if (dnsDomainIs(host, 'wxapi.m.taopiaopiao.com')) { return 'PROXY 106.52.252.45:25010'; } else if (dnsDomainIs(host, 'hbp-prod.fenlekeji.com')) { return 'PROXY 106.52.252.45:25010'; } else { return 'DIRECT'; }
}


let base64DecodeChars = new Array(-1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, 62, -1, -1, -1, 63, 52, 53, 54, 55, 56, 57, 58, 59, 60, 61, -1, -1, -1, -1, -1, -1, -1, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 19, 20, 21, 22, 23, 24, 25, -1, -1, -1, -1, -1, -1, 26, 27, 28, 29, 30, 31, 32, 33, 34, 35, 36, 37, 38, 39, 40, 41, 42, 43, 44, 45, 46, 47, 48, 49, 50, 51, -1, -1, -1, -1, -1);
/**
 * base64编码
 * @param {Object} str
 */
function base64encode(str){
    let base64EncodeChars = "ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789+/";
    let out, i, len;
    let c1, c2, c3;
    len = str.length;
    i = 0;
    out = "";
    while (i < len) {
        c1 = str.charCodeAt(i++) & 0xff;
        if (i == len) {
            out += base64EncodeChars.charAt(c1 >> 2);
            out += base64EncodeChars.charAt((c1 & 0x3) << 4);
            out += "==";
            break;
        }
        c2 = str.charCodeAt(i++);
        if (i == len) {
            out += base64EncodeChars.charAt(c1 >> 2);
            out += base64EncodeChars.charAt(((c1 & 0x3) << 4) | ((c2 & 0xF0) >> 4));
            out += base64EncodeChars.charAt((c2 & 0xF) << 2);
            out += "=";
            break;
        }
        c3 = str.charCodeAt(i++);
        out += base64EncodeChars.charAt(c1 >> 2);
        out += base64EncodeChars.charAt(((c1 & 0x3) << 4) | ((c2 & 0xF0) >> 4));
        out += base64EncodeChars.charAt(((c2 & 0xF) << 2) | ((c3 & 0xC0) >> 6));
        out += base64EncodeChars.charAt(c3 & 0x3F);
    }
    return out;
}